/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Core02 for C */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called core02_record,
 * and it's one field, message, can store an ASCII string. The program
 * will create a new record containing "core02" in the field, then
 * it will read through all records in the database and print their
 * contents.
 *
 * This schema file should be processed using the ddlp utility using the
 * -c option to create an embedded dbd file.  The -c option will generate
 * a c header file (core02_db_dbd.h) and a c source file (core02_db_dbd.c)
 * which can be compiled into the application and used with the d_open_ptr
 * API to create the database if it does not already exist.
 */

database core02_db {
    data file "core02_db.dat" contains core02_record;

    record core02_record {
        char    message[32];
    }
}

